package cn.com.qmth.stmms.biz.report.service;

import cn.com.qmth.stmms.biz.report.model.ReportSubjectRange;
import cn.com.qmth.stmms.biz.report.query.ReportSubjectRangeQuery;

/**
 * 课程分段统计 service 接口
 *
 * @author xuwenjin
 * @Date 2019-04-19
 */
public interface ReportSubjectRangeService {

    void deleteByExamId(Integer examId);

    ReportSubjectRangeQuery findByQuery(ReportSubjectRangeQuery query);

    ReportSubjectRange save(ReportSubjectRange r);

    void deleteByExamIdAndSubjectCode(Integer examId, String subjectCode);
}
